Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 719048 (CVE-2019-8842, CVE-2020-3898)

Summary: <net-print/cups-2.3.3: Multiple vulnerabilities (CVE-2019-8842, CVE-2020-3898)
Product: Gentoo Security Reporter: Sam James <sam>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: printing
Priority: Normal Flags: nattka: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard: B3 [noglsa cve]
Package list:
=net-print/cups-2.3.3-r1 amd64 arm arm64 hppa ppc ppc64 s390 sparc x86
Runtime testing required: ---

Description Sam James archtester gentoo-dev Security 2020-04-23 13:36:51 UTC
Description:
"heap based buffer overflow in libcups's ppdFindOption() in ppd-mark.c"

Patch: https://src.fedoraproject.org/rpms/cups/blob/c1920d09b842bd2d0611559d00d595abd8aa2424/f/cups-ppdopen-heap-overflow.patch

RH bug: https://bugzilla.redhat.com/show_bug.cgi?id=1823964
Comment 1 Sam James archtester gentoo-dev Security 2020-04-23 13:39:26 UTC
@maintainer(s), please apply the provided patch.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2020-04-27 23:23:43 UTC
CVE-2019-8842 (https://nvd.nist.gov/vuln/detail/CVE-2019-8842):
  The ippReadIO function may under-read an extension.
Comment 3 Sam James archtester gentoo-dev Security 2020-04-27 23:24:39 UTC
Fixed in 2.3.3. Please bump.
Comment 4 Larry the Git Cow gentoo-dev 2020-04-28 09:59:16 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e452ad1d49b71d242e05b8fe1fdb06e04879416

commit 9e452ad1d49b71d242e05b8fe1fdb06e04879416
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2020-04-28 09:58:50 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-04-28 09:59:10 +0000

    net-print/cups: Security bump to version 2.3.3
    
    CVE-2019-8842 and CVE-2020-3898
    
    Bug: https://bugs.gentoo.org/719048
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 net-print/cups/Manifest          |   1 +
 net-print/cups/cups-2.3.3.ebuild | 336 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 337 insertions(+)
Comment 5 Sam James archtester gentoo-dev Security 2020-04-28 15:14:58 UTC
Thanks!
Comment 6 NATTkA bot gentoo-dev 2020-04-28 15:16:26 UTC
Unable to check for sanity:

> no match for package: =net-print/cups-2.3.3
Comment 7 Sam James archtester gentoo-dev Security 2020-04-29 10:13:56 UTC
arm64 stable
Comment 8 Rolf Eike Beer 2020-05-01 22:10:01 UTC
sparc stable
Comment 9 Rolf Eike Beer 2020-05-02 08:22:51 UTC
hppa stable
Comment 10 Sergei Trofimovich gentoo-dev 2020-05-06 08:02:08 UTC
ppc/ppc64 stable
Comment 11 Agostino Sarubbo gentoo-dev 2020-05-07 15:59:02 UTC
amd64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2020-05-09 07:43:48 UTC
arm stable
Comment 13 Agostino Sarubbo gentoo-dev 2020-05-11 11:39:09 UTC
x86 stable
Comment 14 Agostino Sarubbo gentoo-dev 2020-05-13 10:06:27 UTC
s390 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 15 Sam James archtester gentoo-dev Security 2020-06-18 02:40:01 UTC
@maintainer(s), ping, please cleanup
Comment 16 Larry the Git Cow gentoo-dev 2020-06-20 01:38:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bf8af8a203a61a4fe6fbe5e1a8d58a5db0cfb3e

commit 9bf8af8a203a61a4fe6fbe5e1a8d58a5db0cfb3e
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-06-20 01:37:16 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-06-20 01:38:53 +0000

    net-print/cups: drop vulnerable
    
    Bug: https://bugs.gentoo.org/719048
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 net-print/cups/Manifest           |   2 -
 net-print/cups/cups-2.2.13.ebuild | 339 --------------------------------------
 net-print/cups/cups-2.3.1.ebuild  | 336 -------------------------------------
 3 files changed, 677 deletions(-)